const util = require("./util.js")
const log = require("./log.js")

function generateWorld(gridSize, perlinScale){
  let x, y = 0

  let tempWorld = Array.from(Array(gridSize[0]), () => new Array(gridSize[1]));
  for (x = 0; x < gridSize[0]; x++){
    for (y = 0; y < gridSize[1]; y++){
      tempWorld[x][y] = {type: 0, structure: 0}
    }
  }

  for(x = 0; x < gridSize[0]; x++){
    for(y = 0; y < gridSize[1]; y++){
      const value = util.randomNumber(0, 3);
      var n;
      switch (value) {
        case 1:
          n = 0
        break;
        case 2:
          n = 6
        break;
        case 1:
          n = 0
        break;
        default:
          log.log("OTHER")
          n = 7

      }
      tempWorld[x][y].type = n

  }
}

  return tempWorld;
}

module.exports = { generateWorld };
